Skip to main content
GET
/
v1
/
products
Get all products
curl --request GET \
  --url https://dev.flextell.ai/api/v1/products \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "tenant_id": 123,
      "name": "<string>",
      "full_name": "<string>",
      "barcode": "<string>",
      "description": "<string>",
      "product_category_id": 123,
      "product_brand_id": 123,
      "product_type_id": 123,
      "base_unit_code_id": 123,
      "stock_tracking_mode": "<string>",
      "inner_unit_count": 123,
      "base_unit_per_inner": 123,
      "critical_stock_level": 123,
      "invoice_name": "<string>",
      "price": 123,
      "tax_rate": 123,
      "is_active": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z",
      "import_source": {
        "id": 123,
        "name": "<string>"
      },
      "brand": {
        "id": 123,
        "name": "<string>"
      },
      "product_type": {
        "id": 123,
        "name": "<string>",
        "category": "<string>"
      },
      "category": {
        "id": 123,
        "name": "<string>"
      },
      "unit_code": {
        "id": 123,
        "name": "<string>",
        "code": "<string>"
      }
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 2,
    "from": 2,
    "last_page": 2,
    "links": [
      {
        "url": "<string>",
        "label": "<string>",
        "active": true
      }
    ],
    "path": "<string>",
    "per_page": 1,
    "to": 2,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Query Parameters

search
string | null

The search query.

Maximum string length: 255
per_page
integer | null

The number of products per page.

Required range: 1 <= x <= 100
page
integer | null

The page number.

Required range: x >= 1
sort_by
enum<string> | null

Sort by a field.

Available options:
name,
price,
is_active,
created_at,
updated_at
sort_order
enum<string> | null

Sort order.

Available options:
asc,
desc
is_active
boolean | null

Filter by active status.

product_brand_id
integer | null

Filter by brand.

product_category_id
integer | null

Filter by category.

product_type_id
integer | null

Filter by product type.

base_unit_code_id
integer | null

Filter by base unit code.

trashed
boolean | null

Filter by trashed status.

Response

Paginated set of ProductResource

data
ProductResource · object[]
required
meta
object
required